# Trait ethcore_util::hashdb::AsHashDB [−] [src]

    pub trait AsHashDB {
        fn as_hashdb(&self) -> &HashDB;
        fn as_hashdb_mut(&mut self) -> &mut HashDB;
    }

Upcast trait.

## Required Methods

### `fn as_hashdb(&self) -> &HashDB`

Perform upcast to HashDB for anything that derives from HashDB.

### `fn as_hashdb_mut(&mut self) -> &mut HashDB`

Perform mutable upcast to HashDB for anything that derives from HashDB.

## Implementors

- `impl<T: HashDB> AsHashDB for T`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)